import { SvelteComponent } from "svelte";
export interface BrandJsonLdProps extends JsonLdProps {
    id: string;
    slogan?: string;
    logo?: string;
    aggregateRating?: AggregateRating;
}
import type { AggregateRating } from '../types.js';
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: BrandJsonLdProps['keyOverride'];
        id: BrandJsonLdProps['id'];
        slogan?: BrandJsonLdProps['slogan'];
        logo?: BrandJsonLdProps['logo'];
        aggregateRating?: BrandJsonLdProps['aggregateRating'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type BrandProps = typeof __propDef.props;
export type BrandEvents = typeof __propDef.events;
export type BrandSlots = typeof __propDef.slots;
export default class Brand extends SvelteComponent<BrandProps, BrandEvents, BrandSlots> {
}
export {};
