import { SvelteComponent } from "svelte";
export interface CorporateContactJsonLdProps extends JsonLdProps {
    url: string;
    contactPoint: ContactPoint[];
    logo?: string;
}
import type { JsonLdProps } from './jsonld.js';
import type { ContactPoint } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: CorporateContactJsonLdProps['keyOverride'];
        url: CorporateContactJsonLdProps['url'];
        contactPoint: CorporateContactJsonLdProps['contactPoint'];
        logo?: CorporateContactJsonLdProps['logo'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CorporateContactProps = typeof __propDef.props;
export type CorporateContactEvents = typeof __propDef.events;
export type CorporateContactSlots = typeof __propDef.slots;
export default class CorporateContact extends SvelteComponent<CorporateContactProps, CorporateContactEvents, CorporateContactSlots> {
}
export {};
