import { SvelteComponent } from "svelte";
export interface CourseJsonLdProps extends JsonLdProps {
    courseName: string;
    description: string;
    provider: Provider;
}
import type { Provider } from '../types.js';
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: CourseJsonLdProps['keyOverride'];
        courseName: CourseJsonLdProps['courseName'];
        description: CourseJsonLdProps['description'];
        provider: CourseJsonLdProps['provider'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CourseProps = typeof __propDef.props;
export type CourseEvents = typeof __propDef.events;
export type CourseSlots = typeof __propDef.slots;
export default class Course extends SvelteComponent<CourseProps, CourseEvents, CourseSlots> {
}
export {};
