import { SvelteComponent } from "svelte";
export interface PotentialAction {
    target: string;
    queryInput: string;
}
export interface SiteLinksSearchBoxJsonLdProps extends JsonLdProps {
    url: string;
    potentialActions: PotentialAction[];
}
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: SiteLinksSearchBoxJsonLdProps['keyOverride'];
        url: SiteLinksSearchBoxJsonLdProps['url'];
        potentialActions: SiteLinksSearchBoxJsonLdProps['potentialActions'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SiteLinksSearchBoxProps = typeof __propDef.props;
export type SiteLinksSearchBoxEvents = typeof __propDef.events;
export type SiteLinksSearchBoxSlots = typeof __propDef.slots;
export default class SiteLinksSearchBox extends SvelteComponent<SiteLinksSearchBoxProps, SiteLinksSearchBoxEvents, SiteLinksSearchBoxSlots> {
}
export {};
