import { SvelteComponent } from "svelte";
export interface VideoJsonLdProps extends JsonLdProps, Video {
}
import type { Video } from '../types.js';
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: VideoJsonLdProps['keyOverride'];
        name: VideoJsonLdProps['name'];
        description: VideoJsonLdProps['description'];
        thumbnailUrls: VideoJsonLdProps['thumbnailUrls'];
        uploadDate: VideoJsonLdProps['uploadDate'];
        contentUrl?: VideoJsonLdProps['contentUrl'];
        duration?: VideoJsonLdProps['duration'];
        embedUrl?: VideoJsonLdProps['embedUrl'];
        expires?: VideoJsonLdProps['expires'];
        hasPart?: VideoJsonLdProps['hasPart'];
        watchCount?: VideoJsonLdProps['watchCount'];
        publication?: VideoJsonLdProps['publication'];
        regionsAllowed?: VideoJsonLdProps['regionsAllowed'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type VideoProps = typeof __propDef.props;
export type VideoEvents = typeof __propDef.events;
export type VideoSlots = typeof __propDef.slots;
export default class Video extends SvelteComponent<VideoProps, VideoEvents, VideoSlots> {
}
export {};
