import { SvelteComponent } from "svelte";
import type { SomersetProps } from '../types.js';
declare const __propDef: {
    props: {
        title: SomersetProps['title'];
        themeColor: SomersetProps['themeColor'];
        noindex?: SomersetProps['noindex'];
        nofollow: SomersetProps['nofollow'];
        robotsProps: SomersetProps['robotsProps'];
        description: SomersetProps['description'];
        canonical: SomersetProps['canonical'];
        openGraph: SomersetProps['openGraph'];
        facebook: SomersetProps['facebook'];
        twitter: SomersetProps['twitter'];
        additionalMetaTags: SomersetProps['additionalMetaTags'];
        titleTemplate: SomersetProps['titleTemplate'];
        defaultTitle: SomersetProps['defaultTitle'];
        mobileAlternate: SomersetProps['mobileAlternate'];
        languageAlternates: SomersetProps['languageAlternates'];
        additionalLinkTags: SomersetProps['additionalLinkTags'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
type SomersetProps_ = typeof __propDef.props;
export { SomersetProps_ as SomersetProps };
export type SomersetEvents = typeof __propDef.events;
export type SomersetSlots = typeof __propDef.slots;
export default class Somerset extends SvelteComponent<SomersetProps, SomersetEvents, SomersetSlots> {
}
