import { SvelteComponent } from "svelte";
export interface BreadCrumbJsonLdProps extends JsonLdProps {
    itemListElements: ItemListElements[];
}
import type { ItemListElements } from '../types.js';
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: BreadCrumbJsonLdProps['keyOverride'];
        itemListElements: BreadCrumbJsonLdProps['itemListElements'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type BreadcrumbProps = typeof __propDef.props;
export type BreadcrumbEvents = typeof __propDef.events;
export type BreadcrumbSlots = typeof __propDef.slots;
export default class Breadcrumb extends SvelteComponent<BreadcrumbProps, BreadcrumbEvents, BreadcrumbSlots> {
}
export {};
