import { SvelteComponent } from "svelte";
export interface HowToJsonLdProps extends JsonLdProps {
    name: string;
    image?: string;
    estimatedCost?: PriceSpecification;
    supply?: string[];
    tool?: string[];
    step: Step[];
    totalTime?: string;
}
import type { JsonLdProps } from './jsonld.js';
import type { PriceSpecification, Step } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: HowToJsonLdProps['keyOverride'];
        name: HowToJsonLdProps['name'];
        image?: HowToJsonLdProps['image'];
        estimatedCost?: HowToJsonLdProps['estimatedCost'];
        supply?: HowToJsonLdProps['supply'];
        tool?: HowToJsonLdProps['tool'];
        step: HowToJsonLdProps['step'];
        totalTime?: HowToJsonLdProps['totalTime'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type HowToProps = typeof __propDef.props;
export type HowToEvents = typeof __propDef.events;
export type HowToSlots = typeof __propDef.slots;
export default class HowTo extends SvelteComponent<HowToProps, HowToEvents, HowToSlots> {
}
export {};
