import { SvelteComponent } from "svelte";
export interface OrganizationJsonLdProps extends JsonLdProps {
    type?: OrganizationCategory;
    id?: string;
    name: string;
    logo?: string;
    url: string;
    legalName?: string;
    sameAs?: string[];
    address?: Address | Address[];
    contactPoints?: ContactPoint[];
}
import type { Address, OrganizationCategory, ContactPoint } from '../types.js';
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: OrganizationJsonLdProps['keyOverride'];
        type?: OrganizationJsonLdProps['type'];
        id?: OrganizationJsonLdProps['id'];
        name: OrganizationJsonLdProps['name'];
        logo?: OrganizationJsonLdProps['logo'];
        url: OrganizationJsonLdProps['url'];
        legalName?: OrganizationJsonLdProps['legalName'];
        sameAs?: OrganizationJsonLdProps['sameAs'];
        address?: OrganizationJsonLdProps['address'];
        contactPoints?: OrganizationJsonLdProps['contactPoints'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type OrganizationProps = typeof __propDef.props;
export type OrganizationEvents = typeof __propDef.events;
export type OrganizationSlots = typeof __propDef.slots;
export default class Organization extends SvelteComponent<OrganizationProps, OrganizationEvents, OrganizationSlots> {
}
export {};
